# PALNonceErrorCode

    enum PALNonceErrorCode : NSInteger {}

Error codes in `https://developers.google.com/ad-manager/pal/ios/reference/Constants.html#/c:@PALNonceErrorDomain`.
- `


  ### [PALNonceErrorCodeUnknown](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeUnknown)


  ` An unknown error occurred.

  #### Declaration

  Swift

      static var unknown: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeUnknown = 100

- `


  ### [PALNonceErrorCodeFetchBadResponse](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeFetchBadResponse)


  ` Received an invalid response while fetching resources.

  #### Declaration

  Swift

      static var fetchBadResponse: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeFetchBadResponse = 200

- `


  ### [PALNonceErrorCodeFetchNoResponse](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeFetchNoResponse)


  ` Could not obtain a response while fetching resources.

  #### Declaration

  Swift

      static var fetchNoResponse: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeFetchNoResponse = 201

- `


  ### [PALNonceErrorCodeFetchTimedOut](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeFetchTimedOut)


  ` Timed out waiting for a response while fetching resources.

  #### Declaration

  Swift

      static var fetchTimedOut: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeFetchTimedOut = 202

- `


  ### [PALNonceErrorCodeEncoderInitFailed](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeEncoderInitFailed)


  ` Could not initialize encoding while creating a nonce.

  #### Declaration

  Swift

      static var encoderInitFailed: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeEncoderInitFailed = 300

- `


  ### [PALNonceErrorCodeEncodingFailed](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeEncodingFailed)


  ` Could not encode while creating a nonce.

  #### Declaration

  Swift

      static var encodingFailed: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeEncodingFailed = 301

- `


  ### [PALNonceErrorCodeTooLong](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeTooLong)


  ` The generated nonce was too long.

  #### Declaration

  Swift

      static var tooLong: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeTooLong = 302

- `


  ### [PALNonceErrorCodeOSVersionTooOld](https://developers.google.com/ad-manager/pal/ios/reference/Enums/PALNonceErrorCode#/c:@E@PALNonceErrorCode@PALNonceErrorCodeOSVersionTooOld)


  ` The OS version is too old and not supported.

  #### Declaration

  Swift

      static var osVersionTooOld: NonceError.Code { get }

  Objective-C

      PALNonceErrorCodeOSVersionTooOld = 303